package de.sh_edraft

import de.sh_edraft.config.Config
import de.sh_edraft.events.OnJoinListener
import de.sh_edraft.events.OnLeaveListener
import org.bukkit.plugin.java.JavaPlugin

open class OntimeHandlerPlugin() : JavaPlugin() {

    private lateinit var config: Config

    override fun onEnable() {
        this.config = Config(logger)
        this.config.read("/config.properties", false)
        this.config.read("/config.${this.config.environment}.properties", true)
        this.config.read("/config.${this.config.hostName}.properties", true)

        server.pluginManager.registerEvents(OnJoinListener(logger), this)
        server.pluginManager.registerEvents(OnLeaveListener(logger), this)

        logger.info("OntimeHandlerPlugin enabled :D")
    }

    override fun onDisable() {
        logger.info("OntimeHandlerPlugin disabled :(")
    }
}